# QuoteCharge

| Name                 | Type                                                                                | Description                               |
| -------------------- | ----------------------------------------------------------------------------------- | ----------------------------------------- |
| amount               | Float                                                                               |                                           |
| amountsByPeriod      | List ([PeriodAmount](/developer/api-reference/types/periodamount.md))               |                                           |
| billingPeriod        | [BillingPeriod](/developer/api-reference/enums.md#billingperiod)                    |                                           |
| billingPeriodAmounts | List ([BillingPeriodAmount](/developer/api-reference/types/billingperiodamount.md)) |                                           |
| chargeType           | [ChargeType](/developer/api-reference/enums.md#chargetype)                          |                                           |
| coupon               | [Coupon](/developer/api-reference/types/coupon.md)                                  |                                           |
| couponId             | ID                                                                                  |                                           |
| createdAt            | ISO8601DateTime                                                                     |                                           |
| currencyId           | ID                                                                                  |                                           |
| currentPrice         | Float                                                                               |                                           |
| currentQuantity      | Int                                                                                 |                                           |
| discount             | Float                                                                               |                                           |
| endDate              | ISO8601Date                                                                         |                                           |
| evergreen            | Boolean                                                                             |                                           |
| feature              | [Feature](/developer/api-reference/types/feature.md)                                |                                           |
| id                   | ID                                                                                  |                                           |
| invoiceLineText      | String                                                                              |                                           |
| isRamp               | Boolean                                                                             |                                           |
| isTrial              | Boolean                                                                             |                                           |
| kind                 | [QuoteChangeKind](/developer/api-reference/enums.md#quotechangekind)                |                                           |
| name                 | String                                                                              |                                           |
| price                | Float                                                                               |                                           |
| priceDecimals        | Int                                                                                 |                                           |
| priceList            | [PriceList](/developer/api-reference/types/pricelist.md)                            |                                           |
| priceListCharge      | [PriceListCharge](/developer/api-reference/types/pricelistcharge.md)                |                                           |
| priceListChargeId    | ID                                                                                  |                                           |
| priceTiers           | List ([QuotePriceTier](/developer/api-reference/types/quotepricetier.md))           |                                           |
| pricingModel         | [PricingModel](/developer/api-reference/enums.md#pricingmodel)                      |                                           |
| prorationRate        | Float                                                                               |                                           |
| quantity             | Int                                                                                 |                                           |
| quantityMax          | Int                                                                                 |                                           |
| quantityMin          | Int                                                                                 |                                           |
| quoteChange          | [QuoteChange](/developer/api-reference/types/quotechange.md)                        |                                           |
| quoteChangeId        | ID                                                                                  |                                           |
| startDate            | ISO8601Date                                                                         |                                           |
| subscriptionCharge   | [SubscriptionCharge](/developer/api-reference/types/subscriptioncharge.md)          |                                           |
| subtotal             | Float                                                                               |                                           |
| taxAmount            | Float                                                                               |                                           |
| taxCode              | String                                                                              |                                           |
| tieredAveragePrice   | Float                                                                               | Average price value when charge is Tiered |
| updatedAt            | ISO8601DateTime                                                                     |                                           |
| vatCode              | String                                                                              |                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/quotecharge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
